package com.gxzc.zen.logging.constants

/**
 * 日志各种常量
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
object LogConstants {
    /*-------------------------------------------
    |              登 录 日 志 常 量              |
    ============================================*/
    const val AUTH_TYPE_LOGIN = 1 // 登录
    const val AUTH_TYPE_LOGOUT = 2 // 登出

    const val AUTH_METHOD_ACCOUNT_PASSWORD = 1 // 账号密码登录
    const val AUTH_METHOD_USBKEY = 2 // 通过 USBKEY 登陆

    /*-------------------------------------------
    |               D B 日 志 常 量              |
    ============================================*/
    const val DB_TYPE_INSERT = 1 // 新增
    const val DB_TYPE_UPDATE = 2 // 修改
    const val DB_TYPE_DELETE = 3 // 删除
    const val DB_TYPE_SELECT = 4 // 查询
}
